<?

class Ui_timer_single_launch {
	static $count_run = 0;

	static function tick() {
		GLOBAL $GOP, $Tempr_control;
		
		// Не смотря на то что счетчик установлен на однократный запуск, он это делает несколько раз
		// поэтому вручную ограничиваем запуск в один раз.
		if(self::$count_run > 0) return true;
		self::$count_run ++;

		//Ui_adapt_size::init(); сделали в FORM_ROOT, потому что здесь слишком поздно для некоторых элементов.

		Ui_adapt_size::window_by_screen();

		// устанавливаем размер скроллбара с инфой так чтобы был без прокрутки
		Ui_adapt_size::panels_by_window();

		// прокручиваем наверх
		Ui_scroll::go($GOP['scrollbox_info'], 0);

		// снимаем загрузочную ширму
		// c('load_shirma')->enabled = false;
		// c('load_shirma')->visible = false;

		с('Fm')->alphaBlend = false;

	}
}

?>